cntTime = zeros(23,1);
g1 = zeros(23,1);
g2 = zeros(23,1);
g3 = zeros(23,1);
tot = dailymotion(1:23,4);
for i=1:23
    cntTime(i) = sum(dailymotion(i,1:3));
    g1(i) = dailymotion(i,1)/cntTime(i);
    g2(i) = dailymotion(i,2)/cntTime(i);
    g3(i) = dailymotion(i,3)/cntTime(i);
end

m1 = mean(g1(1:11,1)) * 100;
m2 = mean(g2(1:11,1)) * 100;
mtot = mean(tot(1:11,1)) * 100;

hold on
grid on
box on
plot([0 11.5],[m1 m1],'r-', 'Linewidth',4)
plot([11.5 24],[m1 m1],'r--', 'Linewidth',2)
plot([0 11.5],[m2 m2],'r-', 'Linewidth',4)
plot([11.5 24],[m2 m2],'r--', 'Linewidth',2)
h1 = plot(g1 * 100,'ko','MarkerSize',7,'MarkerFaceColor','b');
h2 = plot(g2 * 100,'kd','MarkerSize',7,'MarkerFaceColor','b');
h3 = plot(g3 * 100,'ks','MarkerSize',7,'MarkerFaceColor','b');
id = 1:32;
set(gca, 'XTick',id) 
xlim([0 24])
xlabel('Day')
ylim([0 100])
title('Daily activity budget')
legend([h1 h2 h3],'baseline m.','animal m.', 'human int.', 'Location', 'Northwest')
text(22,m1+3,'m1', 'FontWeight', 'bold')
text(22,m2+3,'m2', 'FontWeight', 'bold')
hold off

clear h id h2 h3 cntTime